<div class="m-2 nlb-page">
  <div class="row">
    <div class="col-6">
      <nlb-back-button class="mb-2" (click)="back()"></nlb-back-button>
    </div>
  </div>
  <nlb-progress-bar class="mb-2" [value]="1 / 5" [max]="1"></nlb-progress-bar>
  <div class="card mt-4">
    <div class="container">
      <form class="payment-form pt-4 mt-2" [formGroup]="gradualSavingsForm">
        <div class="row mb-2 mt-3">
          <div class="col-12 mb-2">
            <bb-header-ui
              headingType="h3"
              i18n-heading="
                site header|An introduction header for this
                widget@@nlb-passive-processes-cards.gradual-savings-data-card.heading"
              heading="Set up Gradual Savings"
            ></bb-header-ui>
          </div>
          <div class="col-12 mb-2">
            <p
              i18n="
                Message|Main message for this widget@@nlb-passive-processes-cards.gradual-savings-data-card.mainMessage"
            >
              Setup gradual savings duration and amount.
            </p>
          </div>
          <div class="col-12">
            <bb-header-ui
              headingType="h5"
              i18n-heading="
                Header|Header for the dropdown@@nlb-passive-processes-cards.gradual-savings-data-card.labelMessage"
              heading="Savings duration"
              class="mr-2"
            ></bb-header-ui>
          </div>
          <div class="col-12 d-flex align-items-center flex-column justify-content-center mb-2">
            <label>Months</label>
            <div class="custom-slider">
              <ngx-slider [(value)]="monthlyExpense" [options]="options"></ngx-slider>
            </div>
            <div class="d-flex justify-content-between w-100">
              <p>6 months</p>
              <p>120 months</p>
            </div>
          </div>
          <div class="col-12 d-flex flex-row mb-2">
            <p
              i18n="
                Message|Title message for this
                widget@@nlb-passive-processes-cards.gradual-savings-data-card.labelMessage"
            >
              Savings date:
            </p>
            <p class="gradual-savings-paragraph">25.06.2021</p>
          </div>
          <div class="col-12 d-flex flex-row">
            <p
              i18n="
                Message|Title message for this
                widget@@nlb-passive-processes-cards.gradual-savings-data-card.labelMessage"
            >
              Number of saving days:
            </p>
            <p class="gradual-savings-paragraph">365</p>
          </div>
          <div class="mb-2 col-4">
            <div class="amount-currency-group">
              <!-- AMOUNT CURRENCY INPUT LABEL -->
              <label
                for="amount"
                class="form-control-label"
                [class.is-invalid]="amountCurrencyInvalid"
                i18n="Payment Wizard|Amount@@ui.nlb.payment.form.amount.label"
                >Amount</label
              >

              <!-- AMOUNT CURRENCY INPUT -->
              <div class="amount-currency-group-input" [class.is-invalid]="amountCurrencyInvalid">
                <input
                  type="text"
                  class="form-control form-control-invisible amount-font"
                  id="amount"
                  formControlName="amount"
                  placeholder="0,00"
                  [class.is-invalid]="amountCurrencyInvalid"
                />
                <div class="vertical-split"></div>
                <nlb-dropdown-select
                  id="currency"
                  formControlName="currency"
                  [options]="currencies"
                  [keys]="{ id: 'code', text: 'code' }"
                >
                </nlb-dropdown-select>
              </div>

              <!-- AMOUNT CURRENCY INPUT ERRORS -->
              <div class="amount-currency-group-errors">
                <div
                  class="invalid-feedback d-flex pt-1"
                  *ngIf="
                    (gradualSavingsForm || gradualSavingsForm?.get('amount').dirty) &&
                    gradualSavingsForm?.get('amount').invalid
                  "
                >
                  <i class="icon-nlb-ico-info"></i>
                  <span class="pl-2" i18n="Payment|Amount required@@ui.nlb.payment.form.errors.requiredAmount">
                    Amount is required.
                  </span>
                </div>

                <div
                  class="invalid-feedback d-flex pt-1"
                  *ngIf="
                    (gradualSavingsForm || gradualSavingsForm?.get('currency').dirty) &&
                    gradualSavingsForm?.get('currency').invalid
                  "
                >
                  <i class="icon-nlb-ico-info"></i>
                  <span class="pl-2" i18n="Payment|Currency required@@ui.nlb.payment.form.errors.requiredCurrency">
                    Currency is required.
                  </span>
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 d-flex flex-row mb-2">
            <p
              i18n="
                Message|Title message for this
                widget@@nlb-passive-processes-cards.gradual-savings-data-card.labelMessage"
            >
              You will save:
            </p>
            <p class="gradual-savings-paragraph">1.200,00 EUR + interests</p>
          </div>
          <div class="w-100 d-flex flex-column col-12 mb-2">
            <div>
              <bb-header-ui
                headingType="h5"
                i18n-heading="
                  Header|Header for the dropdown@@nlb-passive-processes-cards.gradual-savings-data-card.interestRate"
                heading="Interest rate"
                class="mr-2"
              ></bb-header-ui>
            </div>
            <div class="d-flex w-100 justify-content-between">
              <div class="d-flex flex-column">
                <p>Type and value</p>
                <p>Interest pay out</p>
              </div>
              <div class="d-flex flex-column">
                <p class="gradual-savings-paragraph">Fixed 0,0001% per year</p>
                <p class="gradual-savings-paragraph">At the end of savings</p>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
  <div class="d-flex flex-row-reverse align-items-center">
    <div class="p-2">
      <bb-button-ui (click)="next()">
        Next
      </bb-button-ui>
    </div>
    <div class="p-2">
      <bb-loading-indicator-ui loaderSize="md"></bb-loading-indicator-ui>
    </div>
    <div class="p-2">
      <button
        color="unstyled"
        style="color: black;"
        class="btn btn-link mr-1 nlb-processes-btn-unstyled"
        (click)="cancel()"
      >
        Cancel
      </button>
    </div>
  </div>
</div>
